# -*- coding: utf-8 -*-
# @Author  : ChenZhaoyuchen
# @Time    : 2024/10/14 9:40
# @File    : sql_anjuke.py

import mysql.connector
from anjuke.utils.setting import *

def anjuke_setup():
    db = mysql.connector.connect(
        host=MYSQL_HOST,  # MySQL服务器地址
        user=MYSQL_USER,   # 用户名
        password=MYSQL_PASS,  # 密码
        database=MYSQL_DB  # 数据库名称
    )
    # 创建游标对象，用于执行SQL查询
    cursor1 = db.cursor()
    cursor2 = db.cursor()
    cursor3 = db.cursor()
    cursor4 = db.cursor()


    # 创建一个名为"anjuke_province"的数据表,用于存放省级单位信息
    # 所包含数据类型有:place_name,place_url,class,price,tab,rate 2个属性
    cursor1.execute("CREATE TABLE anjuke_province (place_name VARCHAR(255),place_url VARCHAR(255))")

    # 创建一个名为"anjuke_city"的数据表,用于存放市级单位信息
    # 所包含数据类型有:place_name,place_url,class,price,tab,rate 2个属性
    cursor2.execute("CREATE TABLE anjuke_city (place_name VARCHAR(255),place_url VARCHAR(255))")

    # 创建一个名为"anjuke_area"的数据表,用于存放区级单位信息
    # 所包含数据类型有:place_name,place_url,class,price,tab,rate 2个属性
    cursor3.execute("CREATE TABLE anjuke_area (place_name VARCHAR(255),place_url VARCHAR(255))")

    # 创建一个名为"anjuke_periphery"的数据表,用于存放周边单位信息,为最终输出数据表
    # 所包含数据类型有:place_name,place_url,class,price,tab,rate 5个属性
    cursor4.execute("CREATE TABLE anjuke_periphery (place_name VARCHAR(255),place_url VARCHAR(255),fun INT,tab CHAR,rate VARCHAR(255))")

# def sql_anjuke():
#     # 创建数据库连接
#     db = mysql.connector.connect(
#         host=MYSQL_HOST,  # MySQL服务器地址
#         user=MYSQL_USER,   # 用户名
#         password=MYSQL_PASS,  # 密码
#         database=MYSQL_DB  # 数据库名称
#     )
#     # 创建游标对象，用于执行SQL查询
#     cursor = db.cursor()
#
#     # 创建一个名为"anjuke_czyc"的数据表,所包含数据类型有:place_name,place_url,class,price,tab,rate 五个属性
#     cursor.execute("CREATE TABLE anjuke_czyc (place_name VARCHAR(255),place_url VARCHAR(255),fun INT,tab CHAR,rate DECIMAL(10,2))")
#
#     place_name = ''
#     place_url = ''
#     fun = ''
#     tab = ''
#     rate = ''
#
#     # 插入一条记录到"anjuke_czyc"表中
#     sql = "INSERT INTO anjuke_czyc (place_name,place_url,fun,tab,rate) VALUES (%s,%s,%s,%s,%s)"
#     values = (place_name,place_url,fun,tab,rate)
#     cursor.execute(sql,values)
#
#     # 提交更改到数据库
#     db.commit()
#
#     print(f"插入了 {cursor.rowcount} 条记录")


if __name__ == '__main__':
    anjuke_setup()
